def pauseMusic_getName()
	return "pause"
end

def pauseMusic_getCommand()
	return "pauseMusic_main"
end

def pauseMusic_main(event)
	voice_channel = event.author.voice_channel.id
	if ENV["#{voice_channel}"] == 'playing'
		event.respond "Pausing currently playing song"
		voiceBot = $voicebots[voice_channel]
		voiceBot.pause()
		ENV["#{voice_channel}"] = 'paused'
	else
		event.respond "Bot not playing!"
	end
end